## Dominic Buchheit, Software AG, 2021
## Adding a javascript function call to every html file in a folder (recursive) as second line.

## Call ID is taken from filename
## String is taken from header tags in the file content

$folder = $args
$DEFAULT_ID = -1
$DEFAULT_TITLE = ""

Get-ChildItem $folder -Filter *.html -Recurse | Foreach-Object {
    $id = $DEFAULT_ID
    $title = $DEFAULT_TITLE
    if($_.BaseName -notlike "[fl]_*"){
        $content = Get-Content $_.FullName
        $matchID = select-string 'data-aitid="(.*?)"' -inputobject $content
        if($matchID.matches){
            $id = $matchID.matches.groups[1].value
        }
        $matchTitle = select-string '<h\d>(.*?)</h\d>' -inputobject $content
        if($matchTitle.matches){
            $title = $matchTitle.matches.groups[1].value
        }
        $scriptString = "`n`t<script type=`"text/javascript`">if(window.aptrinsic && window.aptrinsic.init) {aptrinsic('track', `"helpPageLoaded`", {id:" + $id + ", title:`"" + $title + "`"});}</script>"
        if ($content -is [array]){
            $content[0] += $scriptString
        }else{
            $content += $scriptString
        }

        if ($id -ne $DEFAULT_ID -Or $title -ne $DEFAULT_TITLE){
            $content | Set-Content $_.FullName
        }
    }
}