#
# Dominic Buchheit <dominic.buchheit@softwareag.com>, 2019
# This script removes <span class="nolocalization"> tags preserving its content
#

# Base folder to start removing tags in
param(
  [string] $Folder = "."
)

$patternNoLoc = '<span class="nolocalization">(.*)</span>'
$patternEmph = '<span class="nolocalizationemphases">(.*)</span>'

Get-ChildItem -Path "$Folder" -Recurse -Include *.htm | % `
{
   (Get-Content $_.fullname) | Foreach-Object {
     $_ -replace $patternNoLoc, '$1' `
      -replace $patternEmph, '<span class="emphases">$1</span>'
    } | Set-Content $_.fullname -Force
}