#
# Dominic Buchheit <dominic.buchheit@softwareag.com>, 2019
# This script removes head lines, i.e., tags of format <h(.*)class="heading(.*)_EH</h(.*)
#

# Base folder to start removing tags in
param(
  [string] $Folder = "."
)

$patternEHline = '<h(.*)class="heading(.*)_EH</h(.*)'

Get-ChildItem -Path "$Folder" -Recurse -Include *.htm | % `
{
   (Get-Content $_.fullname) | Foreach-Object {
     $_ -replace $patternEHline, ''
    } | Set-Content $_.fullname -Force
}